html {
    box-sizing: border-box;
}

*,
*:after,
*:before {
    box-sizing: border-box;
}
body {
    -ms-overflow-style: none; /* for Internet Explorer, Edge */
    scrollbar-width: none; /* for Firefox */
    overflow-y: scroll;
}
  
body::-webkit-scrollbar {
    display: none; /* for Chrome, Safari, and Opera */
}

@font-face {
    font-family: "Geist Mono";
    src: url(GeistMono-Regular.woff2) format('woff2');
}

@font-face {
    font-family: "Geist";
    src: url(Geist-Regular.woff2) format('woff2');
}

@media only screen and (max-width: 599px) {
    .body {
        margin: 0;
        background-color: #000;
        overflow: hidden;
        font-family: "Geist Mono", monospace;
        font-style: normal;
        font-size: 3.75vw;
        width: 100vw;
        height: 100vh;
    }

    .header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        position: absolute;
        z-index: 1;
        width: 90vw;
        height: 8vh;
        top: 0;
        line-height: 1;
        margin: 0 5vw 0 5vw;
    }

    .header__text {
        font-style: normal;
        color: rgb(240, 240, 240);
        text-decoration: none;
        margin-left: 40px;
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
        width: 75%;
    }

    .header__text--index {
        font-style: normal;
        color: rgb(240, 240, 240);
        text-decoration: none;
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
        width: 50%;
    }

    .arrow {
        height: 20px;
        width: 20px;
        left: 0;
        position: absolute;
    }

    .arrow:hover {
        opacity: .5;
    }

    .header__info {
        color: rgb(240, 240, 240);
        margin-right: 40px;
    }

    .natel__info {
        display: none;
    }

    .header__info--plus {
        background-color: #000;
        color: rgb(240, 240, 240);
        border: none;
        height: 8vh;
        width: 4vw;
        right: 0;
        top: 0;
        position: absolute;
        padding: 0;
        transition: transform 0.5s;
        cursor: pointer;
    }
    
    .header__info--plus.rotate {
        transform: rotate(45deg);
    }
    
    .header__info--text {
        background-color: rgba(0, 0, 0, .8);
        color: rgb(240, 240, 240);
        width: 100vw;
        height: 92vh;
        position: absolute;
        right: -100vw;
        top: 0;
        margin-top: 8vh;
        padding: 5vw;
        transition: right 0.5s ease;
        overflow-y: auto;
        transition: transform 0.5s ease;
        transform: translateX(100%);
        line-height: 1.2;
    }
    
    .show-info {
        transform: translateX(0);
        margin-top: 8vh;
        right: 0;
        top: 0;
        margin-right: -5vw;
        position: absolute;
        transition: transform 0.5s ease, right 0.5s ease;
    }
    
    .header__info--lauftext {
        font-family: "Geist", sans-serif;
    }
    
    .header__info--textlink {
        text-decoration: underline;
        color: rgb(240, 240, 240);
    }
    .header__info--textlink:hover {
        opacity: .5;
    }

    .background {
        width: 100vw;
        height: 100vh;
        z-index: -2;
        flex: 1;
        display: flex;
        justify-content: center;
    }
    
    .background__image {
        height: 75%;
        z-index: -2;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
    }
    
    .main {
        max-height: 100vh;
        position: absolute;
        top: 0;
    }
    
    .main__info {
        width: 100%;
        height: 100%;
        position: absolute;
        top: 10vh;
        transition: 0.1s;
    }
    
    .main__subtitle {
        line-height: 1;
        color: white;
        margin: 0;
        padding: 0 5vw 0 5vw;
    }
    
    .main__link {
        text-decoration: none;
        color: white;
        border-bottom: white solid 1.5px;
        display: block;
        padding-bottom: 12px;
        margin-top: 12px;
        transition: 0.1s ease-in-out;
        position: relative;
    }
    
    .start__images {
        flex: 1;
        width: 100vw;
        height: 100vh;
        display: flex;
        justify-content: center;
    }
    
    .start__image {
        height: 75%;
        width: auto;
        z-index: -1;
        opacity: 0;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
    }
    
    .start__image.active {
        opacity: 0;
    }
    
    .image__background {
        display: none;
    }

    .slides {
        display: none;
    }

    .slides__img {
        position: absolute;
        top: 50vh;
        left: 50vw;
        transform: translate(-50%, -70%);
        max-width: 100vw;
        object-fit: contain; 
    }

    .slides__img--kiarostami {
        position: absolute;
        top: 50vh;
        left: 50vw;
        transform: translate(-50%, -70%);
        max-width: 100vw;
        object-fit: contain; 
    }
    
    .slideshow {
        width: 100vw;
        height: 90vh;
        position: absolute;
        top: 10vh;
        display: flex;
        justify-content: center;
    }

    .nav {
        width: 100vw;
        height: 4vw;
        position: absolute;
        bottom: 5vw;
        left: 0;
        display: flex;
        justify-content: center;
        z-index: 20;
    }

    .prev {
        cursor: pointer;
        padding: 0;
        margin: 0 50vw 0 0;
        height: 100%;
    }

    .next {
        cursor: pointer;
        padding: 0;
        margin: 0 0 0 0;
        height: 100%;
    }

    .numbertext {
        color: rgb(240, 240, 240);
        position: absolute;
        bottom: 4.6vw;
        left: 50vw;
        transform: translateX(-50%);
    }

    .half-viewport {
        width: 50vw;
        height: 90vh;
        position: fixed;
        bottom: 0;
    }
    
    #left-half {
        left: 0;
        z-index: 1;
        cursor: pointer;
    }
    
    #right-half {
        right: 0;
        z-index: 1;
        cursor: pointer;
    }
}

@media only screen and (min-width: 600px) {
    .body {
        margin: 0;
        background-color: #000;
        overflow: hidden;
        font-family: "Geist Mono", monospace;
        font-style: normal;
        font-size: 14px;
    }

    .header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        position: absolute;
        z-index: 1;
        width: 96vw;
        height: 5vh;
        top: 0;
        line-height: 1;
        margin: 0 1.5vw 0 1.5vw;
    }

    .header__text {
        font-style: normal;
        color: rgb(240, 240, 240);
        text-decoration: none;
        margin-left: 30px;
    }

    .header__text--index {
        font-style: normal;
        color: rgb(240, 240, 240);
        text-decoration: none;
    }

    .arrow {
        height: 14px;
        width: 14px;
        left: 0;
        position: absolute;
    }

    .arrow:hover {
        opacity: .5;
    }

    .header__info {
        color: rgb(240, 240, 240);
        margin-right: 30px;
    }

    .header__info--plus {
        background-color: #000;
        color: rgb(240, 240, 240);
        border: none;
        height: 17px;
        width: 17px;
        right: 0;
        top: 13px;
        position: absolute;
        padding: 0;
        transition: transform 0.5s;
        cursor: pointer;
    }
    .header__info--plus:hover {
        opacity: .5;
    }
    
    .header__info--plus.rotate {
        transform: rotate(45deg);
    }
    
    .header__info--text {
        background-color: rgba(0, 0, 0, .8);
        color: rgb(240, 240, 240);
        width: 50vw;
        height: 95vh;
        position: absolute;
        right: -50vw;
        top: 0;
        margin-top: 5vh;
        padding: 2vw;
        transition: right 0.5s ease;
        overflow-y: auto;
        transition: transform 0.5s ease;
        transform: translateX(100%);
        line-height: 1.2;
    }
    
    .show-info {
        transform: translateX(0);
        margin-top: 5vh;
        right: 0;
        top: 0;
        margin-right: -3vw;
        position: absolute;
        transition: transform 0.5s ease, right 0.5s ease;
    }
    
    .header__info--lauftext {
        font-family: "Geist", sans-serif;
    }
    
    .header__info--textlink {
        text-decoration: none;
        color: rgb(240, 240, 240);
    }
    .header__info--textlink:hover {
        opacity: .5;
    }

    .background {
        width: 100vw;
        height: 100vh;
        z-index: -2;
        flex: 1;
        display: flex;
        justify-content: center;
    }
    
    .background__image {
        max-width: 100%;
        z-index: -2;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
    }
    
    .main {
        display: flex;
        height: 100%;
        width: 100%;
    }
    
    .main__info {
        width: 100%;
        position: fixed;
        bottom: 0;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        position: fixed;
        transition: 0.1s;
    }
    
    .main__subtitle {
        line-height: 1;
        color: white;
        margin: 0;
        padding: 0 2vw 1vw 2vw;
    }
    
    .main__link {
        text-decoration: none;
        color: white;
        border-bottom: white solid 1px;
        display: block;
        padding-bottom: 5px;
        margin-top: 5px;
        transition: 0.1s ease-in-out;
        position: relative;
    }
    
    .main__link:hover {
        transition: 0.1s;
        display: block;
        opacity: 0.5;
    }
    
    .start__images {
        flex: 1;
        width: 100vw;
        height: 100vh;
        display: flex;
        justify-content: center;
    }
    
    .start__image {
        height: 75%;
        width: auto;
        z-index: -1;
        opacity: 0;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
    }
    
    .start__image.active {
        opacity: 1;
    }
    
    .image__background {
        display: none;
    }

    .slides {
        display: none;
    }

    .slides__img {
        position: absolute;
        top: 50vh;
        left: 50vw;
        transform: translate(-50%, -57.5%);
        max-width: 100vw;
        object-fit: contain; 
    }

    .slides__img--kiarostami {
        position: absolute;
        top: 50vh;
        left: 50vw;
        transform: translate(-50%, -57.5%);
        max-width: 100vw;
        object-fit: contain; 
    }

    .slideshow {
        width: 100vw;
        height: 95vh;
        position: absolute;
        bottom: 0;
        display: flex;
        justify-content: center;
    }

    .nav {
        width: 100vw;
        height: 12px;
        position: absolute;
        bottom: 2vw;
        left: 0;
        display: none;
        justify-content: center;
        z-index: 2;
    }

    .prev {
        cursor: pointer;
        padding: 0;
        margin: 0 27px 0 0;
        height: 100%;
    }

    .next {
        cursor: pointer;
        padding: 0;
        margin: 0 0 0 27px;
        height: 100%;
    }

    .prev:hover, .next:hover {
        opacity: .5;
    }

    .numbertext {
        color: rgb(240, 240, 240);
        position: absolute;
        bottom: 1.8vw;
        left: 50vw;
        transform: translateX(-50%);
    }

    .half-viewport {
        width: 50vw;
        height: 95vh;
        position: fixed;
        bottom: 0;
    }
    
    #left-half {
        left: 0;
        z-index: 1;
        cursor: pointer;
    }
    
    #right-half {
        right: 0;
        z-index: 1;
        cursor: pointer;
    }
}

@media only screen and (min-width: 1100px) {
    
    .body {
        margin: 0;
        background-color: #000;
        overflow: hidden;
        font-family: "Geist Mono", monospace;
        font-style: normal;
        font-size: 18px;
    }

    .header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        position: absolute;
        z-index: 1;
        width: 96vw;
        height: 5vh;
        top: 0;
        line-height: 1;
        margin: 0 2vw 0 2vw;
    }

    .header__text {
        font-style: normal;
        color: rgb(240, 240, 240);
        text-decoration: none;
        margin-left: 30px;
    }

    .header__text--index {
        font-style: normal;
        color: rgb(240, 240, 240);
        text-decoration: none;
    }

    .arrow {
        height: 18px;
        width: 18px;
        left: 0;
        position: absolute;
    }

    .arrow:hover {
        opacity: .5;
    }

    .header__info {
        color: rgb(240, 240, 240);
        margin-right: 30px;
    }

    .header__info--plus {
        background-color: #000;
        color: rgb(240, 240, 240);
        border: none;
        height: 20px;
        width: 20px;
        right: 0;
        top: 10px;
        position: absolute;
        padding: 0;
        transition: transform 0.5s;
        cursor: pointer;
    }
    .header__info--plus:hover {
        opacity: .5;
    }
    
    .header__info--plus.rotate {
        transform: rotate(45deg);
    }
    
    .header__info--text {
        background-color: rgba(0, 0, 0, .8);
        color: rgb(240, 240, 240);
        width: 33.33vw;
        height: 95vh;
        position: absolute;
        right: -33.33vw;
        top: 0;
        margin-top: 5vh;
        padding: 2vw;
        transition: right 0.5s ease;
        overflow-y: auto;
        transition: transform 0.5s ease;
        transform: translateX(100%);
        line-height: 1.2;
    }
    
    .show-info {
        transform: translateX(0);
        margin-top: 5vh;
        right: 0;
        top: 0;
        margin-right: -2vw;
        position: absolute;
        transition: transform 0.5s ease, right 0.5s ease;
    }
    
    .header__info--lauftext {
        font-family: "Geist", sans-serif;
    }
    
    .header__info--textlink {
        text-decoration: none;
        color: rgb(240, 240, 240);
    }
    .header__info--textlink:hover {
        opacity: .5;
    }

    .background {
        width: 100vw;
        height: 100vh;
        z-index: -2;
        flex: 1;
        display: flex;
        justify-content: center;
    }
    
    .background__image {
        max-width: 100%;
        z-index: -2;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
    }
    
    .main {
        display: flex;
        height: 100%;
        width: 100%;
    }
    
    .main__info {
        width: 100%;
        position: fixed;
        bottom: 0;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        position: fixed;
        transition: 0.1s;
    }
    
    .main__subtitle {
        line-height: 1;
        color: white;
        margin: 0;
        padding: 0 2vw 1vw 2vw;
    }
    
    .main__link {
        text-decoration: none;
        color: white;
        border-bottom: white solid 1.5px;
        display: block;
        padding-bottom: 10px;
        margin-top: 10px;
        transition: 0.1s ease-in-out;
        position: relative;
    }
    
    .main__link:hover {
        transition: 0.1s;
        display: block;
        opacity: 0.5;
    }
    
    .start__images {
        flex: 1;
        width: 100vw;
        height: 100vh;
        display: flex;
        justify-content: center;
    }
    
    .start__image {
        height: 75%;
        width: auto;
        z-index: -1;
        opacity: 0;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
    }
    
    .start__image.active {
        opacity: 1;
    }
    
    .image__background {
        display: none;
    }

    .slides {
        display: none;
    }

    .slides__img {
        position: absolute;
        top: 50vh;
        left: 50vw;
        transform: translate(-50%, -57.5%);
        max-height: 75vh;
        object-fit: contain; 
    }

    .slides__img--kiarostami {
        position: absolute;
        top: 50vh;
        left: 50vw;
        transform: translate(-50%, -57.5%);
        max-height: 100vh;
        object-fit: contain; 
    }

    .slideshow {
        width: 100vw;
        height: 95vh;
        position: absolute;
        bottom: 0;
        display: flex;
        justify-content: center;
    }

    .nav {
        width: 100vw;
        height: 15px;
        position: absolute;
        bottom: 2vw;
        left: 0;
        display: none;
        justify-content: center;
        z-index: 2;
    }

    .prev {
        cursor: pointer;
        padding: 0;
        margin: 0 27px 0 0;
        height: 100%;
    }

    .next {
        cursor: pointer;
        padding: 0;
        margin: 0 0 0 27px;
        height: 100%;
    }

    .prev:hover, .next:hover {
        opacity: .5;
    }

    .numbertext {
        color: rgb(240, 240, 240);
        position: absolute;
        bottom: 1.8vw;
        left: 50vw;
        transform: translateX(-50%);
    }

    .half-viewport {
        width: 50vw;
        height: 95vh;
        position: fixed;
        bottom: 0;
    }
    
    #left-half {
        left: 0;
        z-index: 1;
        cursor: pointer;
    }
    
    #right-half {
        right: 0;
        z-index: 1;
        cursor: pointer;
    }
}